forked from nutonomy/nuscenes-devkit
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
* Added xvfb to list of packages to install. (nutonomy#103)
* Re-organized Jenkins pipeline such that build and test occurs in separate stages. * Added logic to test notebooks during Jenkins pipeline. * Deleted old bash scripts for testing.
- Loading branch information
1 parent
3e1f93e
commit 0611271
Showing
6 changed files
with
136 additions
and
56 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,15 @@ | ||
#!/bin/bash | ||
set -eux | ||
|
||
# This script is to be executed inside a Docker container | ||
source activate nuenv | ||
|
||
# Generate python script from Jupyter notebook and then copy into Docker image. | ||
jupyter nbconvert --to python python-sdk/tutorial.ipynb || { echo "Failed to convert notebook to python script"; exit 1; } | ||
|
||
# Remove extraneous matplot inline command and comment out any render* methods. | ||
sed -i.bak "/get_ipython.*/d; s/\(nusc\.render.*\)/#\1/" python-sdk/tutorial.py || { echo "error in sed command"; exit 1; } | ||
|
||
# Run tutorial | ||
xvfb-run python python-sdk/tutorial.py | ||
|